Subject: kermit/tty bug

From: Tim Newsham <[email-masked]>

(re kermit and /dev/tty00)

Ok.  I finally got around to having the remote echo various characters
back at me to see if it would trigger the strange behaviour I observed.
I tried all characters from 0 to 200, only '^S' triggers the problem.
When I receive a control-S, I cannot send anything to the remote
serial line even though I may receive (even from processes other
than kermit).  If I try to exit kermit at this point, only the
child process dies and the original process stays around indefinitely.

What is the correct behaviour of the serial line when receiving
a control-s?  If the remote truely sent it then the local should
probably stop sending right?  What about if it was caused by
line noise?  The local has no way of getting the remote to send
back a ^Q (or any key, in the case of IXANY).  It seems that
the process that originally opened the line cannot close it
either (or at least kermit cannot) so the only solution at
this point is a reboot.  This doesnt sound right.  

                               Tim N.